Subject: [alpine-aports] [PATCH] main/kamailio

From: Nathan Angelacos <[email-masked]>
Date: Tue, 13 Jan 2015 01:31:17 +0000

Version bump to 4.2.2
Removed python as a dbtext dependency -
  python is only needed for the kamdbctl functions;
  install it manually if kamdbctl is needed for dbtext
New subpackage: kamailio-json
  added json, jsonrpc-c modules
Moved jsonrpc-s module to the kamailio-json subpackage
---
 main/kamailio/APKBUILD | 43 +++++++++++++++++++++++++++++--------------
 1 file changed, 29 insertions(+), 14 deletions(-)

diff --git a/main/kamailio/APKBUILD b/main/kamailio/APKBUILD
index 20b3529..11ae9f3 100644
--- a/main/kamailio/APKBUILD
+++ b/main/kamailio/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Michael Mason <[email-masked]>
 # Maintainer: Nathan Angelacos <[email-masked]>
 pkgname=kamailio
-pkgver=4.2.1
+pkgver=4.2.2
 pkgrel=0
 pkgdesc="Open Source SIP Server"
 url="http://www.kamailio.org/"
@@ -13,7 +13,8 @@ license="GPL2+"
 depends=""
 makedepends="bison flex expat-dev postgresql-dev pcre-dev mysql-dev
 	libxml2-dev curl-dev unixodbc-dev confuse-dev ncurses-dev sqlite-dev
-	lua-dev openldap-dev openssl-dev net-snmp-dev libuuid libev-dev"
+	lua-dev openldap-dev openssl-dev net-snmp-dev libuuid libev-dev
+	json-c-dev libevent-dev"
 install="$pkgname.pre-install $pkgname.pre-upgrade"
 
 # See Makefile.groups for the list of recommended modules for
@@ -39,7 +40,7 @@ _mod_list_basic="avp async auth benchmark blst cfg_rpc cfgutils corex counters \
 # - extra used modules, with no extra dependency
 _mod_list_extras="auth_diameter call_control cnxcc dmq domainpolicy msrp pdb \
 		qos sca seas sms sst timer tmrec tsilo uac_redirect xhttp \
-		xhttp_rpc xprint jsonrpc-s nosip"
+		xhttp_rpc xprint nosip"
 
 # - common modules depending on database
 _mod_list_db="acc alias_db auth_db avpops cfg_db db_flatstore \
@@ -151,7 +152,7 @@ _mod_list_sqlite="db_sqlite"
 _mod_list_oracle="db_oracle"
 
 # - modules depending on json library
-_mod_list_json="json jsonrpc-c"
+_mod_list_json="json jsonrpc-c jsonrpc-s"
 
 # - modules depending on redis library
 _mod_list_redis="ndb_redis"
@@ -173,6 +174,9 @@ _mod_list_java="app_java"
 # - modules depending on iptables library
 _mod_list_iptrtpproxy="iptrtpproxy"
 
+# - modules depending on gzip library                                                         
+_mod_list_gzcompress="gzcompress" 
+
 # - modules depending on uuid library
 _mod_list_uuid="uuid"
 
@@ -185,7 +189,6 @@ _mod_list_kazoo="kazoo"
 # - modules depending on mongodb
 _mod_list_mongodb="db_mongodb ndb_mongodb"
 
-
 # Alpine Specific
 _mod_list_debugger="$_mod_list_devel benchmark debugger"
 
@@ -199,7 +202,8 @@ _modules="$_module_group_kstandard"
 for _i in db postgres sqlite dbtext mysql \
 	cpl xml unixodbc snmpstats xmpp carrierroute \
 	ldap utils tls presence lua ims outbound debugger \
-	extras websocket authephemeral ev uuid; do
+	extras json websocket authephemeral \
+	uuid ev; do
 
    subpackages="$subpackages $pkgname-$_i"
    eval "_modules=\"\$_modules \$_mod_list_$_i\""
@@ -320,13 +324,14 @@ sqlite() {
 
 dbtext() {
 	_db_driver DBText text dbtext dbtext || return 1
-	depends="$depends python"
-	mkdir -p "$subpkgdir"/usr/lib/kamailio/kamctl
+	# kamdbctl.dbtext is a python script - but we will not make python 
+	# a dependency because kamdbctl is not normaly used
+	depends="$depends"
+	mkdir -p "$subpkgdir"/usr/lib/kamailio/kamctl || return 1
 	mv "$pkgdir"/usr/lib/kamailio/kamctl/dbtextdb \
-		"$subpkgdir"/usr/lib/kamailio/kamctl/
+		"$subpkgdir"/usr/lib/kamailio/kamctl/ || return 1
 }
 
-
 cpl() {
 	_generic_pkg "CPL (Call Processing Language) interpreter" \
 		"$_mod_list_cpl"
@@ -397,7 +402,7 @@ ims() {
 }
 
 outbound() {
-	_generic_pkg "RFC 5626 section 5 Outbound suppport" \
+	_generic_pkg "RFC 5626 section 5 Outbound support" \
 		"$_mod_list_outbound"
 }
 
@@ -421,6 +426,16 @@ authephemeral() {
 		"$_mod_list_authephemeral"
 }
 
+json() {
+	_generic_pkg "Operations on json strings" \
+		"$_mod_list_json"
+}
+
+#geoip() {
+#	_generic_pkg "MaxMind GeoIP lookup support" \
+#		"$_mod_list_geoip"
+#}
+
 ev() {
 	_generic_pkg "Network event broadcast API" \
 		"$_mod_list_ev"
@@ -431,17 +446,17 @@ uuid() {
 		"$_mod_list_uuid"
 }
 
-md5sums="c2bccebd88156bf02957468e36dda648  kamailio-4.2.1_src.tar.gz
+md5sums="844e6d44ffb374763eb395d8f1477ec7  kamailio-4.2.2_src.tar.gz
 bad1ac2d4c95043df271d2ea6d37627a  kamailio-4.2-backslash.patch
 4685288dc54680597b00f956dc95d4d6  0001-musl-fixes.patch
 a3c959ec568c43a905710e7d25cd8c25  kamailio.cfg
 0e0a271fd3ddb7e87c01c26c7d041d59  kamailio.initd"
-sha256sums="52169e917b58d3b666fe7b33e46d79128844ae311f359595590d35b57fbfda93  kamailio-4.2.1_src.tar.gz
+sha256sums="10fb05cdc8a5223e5b0a8faf2b24819c60b40f232809c621569eda3e620f0ee5  kamailio-4.2.2_src.tar.gz
 d7e59be721ed0ad4621d404493b9a519708d801e9d4914b0164b819fa1abcd13  kamailio-4.2-backslash.patch
 b98555ff304b51b82c6cf7e01d757b15ea4f05bd2e603c84d4384df6a6be62b6  0001-musl-fixes.patch
 8024266849033a917147827c3579a382f10f3796989bebc6de3d7c80c965fb72  kamailio.cfg
 a90d3ab09a3ed58892e94710a1f80492a61ffad1ccf7ccb5b851bb8f538d32c4  kamailio.initd"
-sha512sums="f15496411ee83759b17cab736ca87d28f4f7cb9b41ebbc2cb300e3bcf1ad81fb09ec90f234edcebf292c6a21cc6e1a1f1125aa031e9fec0306c0339df3517b38  kamailio-4.2.1_src.tar.gz
+sha512sums="e0aab8320b5ebeaa47f6df2155cada679c8977cd26b05b9ce4438a30e339d1db9450f17896575e64c2d608262abae7dd08c12356a594cb992d895e2042e89325  kamailio-4.2.2_src.tar.gz
 a9bb1e8f9f373264b8351ddae099a36a46ddd46fdec09e468d297ba4f64bb4896e7d6e599da70a424e8a28695ab3f3b4ac940afab534593a6b9d08ae462f001a  kamailio-4.2-backslash.patch
 dea7ef2ccf01357576045ba375d41301e2447b4454324007c7ca1862322835c57045852017192ca5434b32dd1b7a2e9669209b7111889dab335b74f042d0f11f  0001-musl-fixes.patch
 0b666bfa10fd0af97b62749f8691cb3f76d9b40d1abe0a33e810e367bd733d2e8189c89f7f23010ec591116aada6e1a8a403b17449fe775038917617f281ad4d  kamailio.cfg
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Tue, 13 Jan 2015 09:18:56 +0100

On Tue, 13 Jan 2015 01:31:17 +0000

> Moved jsonrpc-s module to the kamailio-json subpackage

applied. thanks!

-nc

---